Package: pypy
Version: 2.2.1+dfsg-2
Severity: important

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?

I tried to upgrade/install pypy on this machine, which has an i386 cpu
with SSE2.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

davrieb@ambiguous ~ % sudo aptitude install pypy
The following NEW packages will be installed:
  pypy pypy-lib{a}
0 packages upgraded, 2 newly installed, 0 to remove and 3 not upgraded.
Need to get 0 B/7,844 kB of archives. After unpacking 45.7 MB will be used.
Do you want to continue? [Y/n/?]
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
Selecting previously unselected package pypy-lib.
(Reading database ... 295616 files and directories currently installed.)
Preparing to unpack .../pypy-lib_2.2.1+dfsg-2_all.deb ...
Unpacking pypy-lib (2.2.1+dfsg-2) ...
Selecting previously unselected package pypy.
Preparing to unpack .../pypy_2.2.1+dfsg-2_i386.deb ...
Unpacking pypy (2.2.1+dfsg-2) ...
Processing triggers for man-db (2.6.7.1-1) ...
Setting up pypy-lib (2.2.1+dfsg-2) ...
Setting up pypy (2.2.1+dfsg-2) ...
dpkg: error processing package pypy (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 pypy
E: Sub-process /usr/bin/dpkg returned an error code (1)
Failed to perform requested operation on package.  Trying to recover:
Setting up pypy (2.2.1+dfsg-2) ...
dpkg: error processing package pypy (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 pypy

sudo aptitude install pypy  11.40s user 2.71s system 52% cpu 26.670 total

   * What was the outcome of this action?

See above.

   * What outcome did you expect instead?

A clean install/upgrade.

>From what I gather a change like the following to pypy.postinst would help:

-------------------------------------------------------------------------------
--- pypy.postinst       2014-05-05 17:42:46.000000000 +0200
+++ /home/davrieb/tmp/pypy.postinst     2014-05-06 10:00:47.735276195 +0200
@@ -1,12 +1,14 @@
 #!/bin/sh

+set -x
+
 if [ 'i386' = 'i386' ]; then
     pypy -c '' 2>/dev/null
     if [ $? -eq 132 ]; then
         echo "PyPy doesn't appear to support this CPU." >&2
         echo "SSE2 is required." >&2
+       exit 1
     fi
-    exit 1
 fi

 set -e
--------------------------------------------------------------------------------


*** End of the template - remove these template lines ***


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.13-trunk-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pypy depends on:
ii  dpkg          1.17.9
ii  libbz2-1.0    1.0.6-5
ii  libc6         2.18-5
ii  libexpat1     2.1.0-4
ii  libffi6       3.1~rc1+r3.0.13-12
ii  libncurses5   5.9+20140118-1
ii  libsqlite3-0  3.8.4.3-3
ii  libssl1.0.0   1.0.1g-3
ii  libtinfo5     5.9+20140118-1
ii  pypy-lib      2.2.1+dfsg-2
ii  zlib1g        1:1.2.8.dfsg-1

pypy recommends no packages.

Versions of packages pypy suggests:
pn  pypy-doc  <none>
pn  pypy-tk   <none>

-- no debconf information


-- 
To UNSUBSCRIBE, email to [email protected]
with a subject of "unsubscribe". Trouble? Contact [email protected]

Reply via email to